# Oweather [![Gem Version](https://badge.fury.io/rb/openweather2.svg)](http://badge.fury.io/rb/openweather2)

This gem is an abstraction to the OpenWeatherMap API.

This gem provide the weather from numerous regions around the world.

Also you can get some data on the gem response:
* City name
* Longitude
* Latitude
* Temperature
* Pressure
* Humidity
* Min temperature
* Max temperature
* Clouds
* Wind speed
* Wind angle

You can get your APP ID from the OpenWeatherMap website.

http://openweathermap.org/appid#get

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'oweather'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install oweather

## Usage

Usage:

```ruby
require "oweather"

OW.configure do |config|
  config.endpoint = 'http://api.openweathermap.org/data/2.5/weather'
  config.apikey = YOUR APP ID
end

OW.get_weather(city: 'london')


OW.get_weather(zip: xxxx)


OW.get_weather(lat: xxxx, lon: xxxx)

```

Also you can provide a second parameter for the units to convert the temperature to 'metric' or 'imperial'

```ruby

OW.get_weather(city: 'london', units: 'metric')
OW.get_weather(city: 'london', units: 'imperial')

```


## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Be free to report and send your pull request.

Bug reports and pull requests are welcome on GitHub at https://github.com/lucasocon/oweather.

Contributors:
* Lucas Ocon (lucasocon)

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

